Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Python no module named sqlite3
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
jayseejc3191
n00b
n00b


Joined: 09 Dec 2011
Posts: 33
Location: Canada

PostPosted: Wed Feb 01, 2012 3:29 am    Post subject: Python no module named sqlite3 Reply with quote

Ok, I'm trying to run the program beets following the instructions on this site as close as possible.

http://readthedocs.org/docs/beets/en/1.0b12/guides/main.html

I've installed pip with no problem and have installed beets via pip. when I run beet though I am presented with the following error:

Code:
Traceback (most recent call last):
  File "/usr/bin/beet", line 9, in <module>
    load_entry_point('beets==1.0b12', 'console_scripts', 'beet')()
  File "/usr/lib64/python2.7/site-packages/pkg_resources.py", line 338, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib64/python2.7/site-packages/pkg_resources.py", line 2282, in load_entry_point
    return ep.load()
  File "/usr/lib64/python2.7/site-packages/pkg_resources.py", line 1992, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "/usr/lib64/python2.7/site-packages/beets/__init__.py", line 18, in <module>
    import beets.library
  File "/usr/lib64/python2.7/site-packages/beets/library.py", line 15, in <module>
    import sqlite3
ImportError: No module named sqlite3


My python does have sqlite in it's use flags, as seen here:

Code:
[ebuild   R    ] dev-lang/python-3.1.4-r3  USE="gdbm ipv6 ncurses readline sqlite ssl threads (wide-unicode) xml -build -doc -examples -tk
-wininst" 0 kB


And my sqlite use flage look like this:
Code:
[ebuild   R    ] dev-db/sqlite-3.7.7.1  USE="extensions fts3 readline threadsafe -debug -doc -icu -secure-delete -soundex -tcl -test -unlock-notify" 0 kB


Any help would be much appreciated!
_________________
[xcb] Unknown request in queue while dequeuing
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
Back to top
View user's profile Send private message
dol-sen
Developer
Developer


Joined: 30 Jun 2002
Posts: 2803
Location: Richmond, BC, Canada

PostPosted: Wed Feb 01, 2012 4:04 am    Post subject: Reply with quote

You showed us the error from python-2.7, but the python flags from dev-lang/python-3.1.4-r3.

So, one of these things is not like the other :/

instead do
Code:
equery uses python:2.7
that will show how the current python-2.7 is installed in your system.
_________________
Brian
Porthole, the Portage GUI frontend irc@freenode: #gentoo-guis, #porthole, Blog
layman, gentoolkit, CoreBuilder, esearch...
Back to top
View user's profile Send private message
jayseejc3191
n00b
n00b


Joined: 09 Dec 2011
Posts: 33
Location: Canada

PostPosted: Wed Feb 01, 2012 4:12 am    Post subject: Reply with quote

Thanks alot! That fixed the problem, plus i learned a new trick with emerge!
_________________
[xcb] Unknown request in queue while dequeuing
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
Back to top
View user's profile Send private message
ultraincognito
Guru
Guru


Joined: 03 Jun 2011
Posts: 346
Location: Ukraine

PostPosted: Wed Feb 01, 2012 7:31 am    Post subject: Reply with quote

Also you should know it is possible to install modules for the Python bypassing the package manager.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum